# move this file to the outer directory of the project and change its name to "docker-compose.yml"
#  - project
#    - frontend_pendamping
#    - backend_pendamping
#    - docker-compose.yml

version: "3.8"

services:
  backend:
    build:
      context: ./backend_pendamping
      dockerfile: Dockerfile
    ports:
      - "8000:8000"
    restart: always
    # depends_on:
    #   - database

  frontend:
    build:
      context: ./frontend_pendamping
      dockerfile: Dockerfile
    ports:
      - "4173:4173"
    restart: always
  # database:
  #   image: mysql:latest
  #   restart: always
  #   environment:
  #     MYSQL_DATABASE: keuangan
  #     MYSQL_USER: keuangan
  #     MYSQL_PASSWORD: NV}c6l{6NxIEKPd88hWk=qhnSGGn
  #     MYSQL_ROOT_PASSWORD: NV}c6l{6NxIEKPd88hWk=qhnSGGn

  # phpmyadmin:
  #   image: phpmyadmin/phpmyadmin
  #   ports:
  #     - "3308:80"
  #   environment:
  #     PMA_HOST: database
  #     MYSQL_ROOT_PASSWORD: NV}c6l{6NxIEKPd88hWk=qhnSGGn
